import 'dart:async';
import 'package:bytedesk_kefu/blocs/leavemsg_bloc/bloc.dart';
import 'package:bytedesk_kefu/model/helpCategory.dart';
import 'package:bloc/bloc.dart';
import 'package:bytedesk_kefu/repositories/leavemsg_repository.dart';

class LeaveMsgBloc extends Bloc<LeaveMsgEvent, LeaveMsgState> {
  //
  final LeaveMsgRepository feedbackRepository = new LeaveMsgRepository();

  LeaveMsgBloc() : super(new UnLeaveMsgState());

  @override
  Stream<LeaveMsgState> mapEventToState(
    LeaveMsgEvent event,
  ) async* {
    if (event is GetLeaveMsgCategoryEvent) {
      yield* _mapGetLeaveMsgCategoryToState(event);
    } else if (event is SubmitLeaveMsgEvent) {
      yield* _mapSubmitLeaveMsgToState(event);
    } else if (event is UploadImageEvent) {
      yield* _mapUploadImageToState(event);
    }
  }

  Stream<LeaveMsgState> _mapGetLeaveMsgCategoryToState(
      GetLeaveMsgCategoryEvent event) async* {
    yield LeaveMsgLoading();
    try {
      final List<HelpCategory> categoryList =
          await feedbackRepository.getHelpLeaveMsgCategories(event.uid);
      yield LeaveMsgCategoryState(categoryList);
    } catch (error) {
      print(error);
      yield LeaveMsgLoadError();
    }
  }

  Stream<LeaveMsgState> _mapSubmitLeaveMsgToState(
      SubmitLeaveMsgEvent event) async* {
    yield LeaveMsgLoading();
    try {
      // final List<HelpCategory> categoryList =
      //     await feedbackRepository.getHelpLeaveMsgCategories();
      // yield LeaveMsgCategoryState(categoryList);
    } catch (error) {
      print(error);
      yield LeaveMsgLoadError();
    }
  }

  Stream<LeaveMsgState> _mapUploadImageToState(UploadImageEvent event) async* {
    yield LeaveMsgLoading();
    try {
      final String url = await feedbackRepository.upload(event.filePath);
      yield UploadImageSuccess(url);
    } catch (error) {
      print(error);
      yield UpLoadImageError();
    }
  }
}
